%define major 2
%define ulmajor 1
%define libname %mklibname %{name} %{major}
%define libulm %mklibname ulockmgr %{ulmajor}
%define devname %mklibname %{name} -d
%define sdevname %mklibname %{name} -d -s

Summary:	Interface for userspace programs to export a virtual filesystem to the kernel
Name:		fuse
Version:	2.9.7
Release:	1
License:	GPLv2+
Group:		System/Base
Url:		https://github.com/libfuse
Source0:	https://github.com/libfuse/libfuse/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:	fuse.conf
Patch0:		mount-readlink-hang-workaround.patch
BuildRequires:	libtool
BuildRequires:	gettext-devel
Requires(post,preun):	rpm-helper

%description
FUSE (Filesystem in USErspace) is a simple interface for userspace
programs to export a virtual filesystem to the linux kernel.  FUSE
also aims to provide a secure method for non privileged users to
create and mount their own filesystem implementations.

%files
%doc AUTHORS ChangeLog NEWS README.NFS
%attr(0755,root,root) /sbin/mount.fuse
%attr(4755,root,root) /bin/fusermount
%attr(0755,root,root) /bin/ulockmgr_server
%config(noreplace) %{_sysconfdir}/fuse.conf
%{_bindir}/fusermount
%{_bindir}/ulockmgr_server
%{_mandir}/man1/fusermount.1.*
%{_mandir}/man1/ulockmgr_server.1.*
%{_mandir}/man8/mount.fuse.8.*

%preun
if [ -f %{_sysconfdir}/rc.d/init.d/fuse ]; then
	chkconfig --del fuse
fi

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for fuse
License:	LGPLv2+
Group:		System/Libraries

%description -n %{libname}
Libraries for fuse.

%files -n %{libname}
/%{_lib}/libfuse.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libulm}
Summary:	libulockmgr for fuse
License:	LGPLv2+
Group:		System/Libraries
Conflicts:	%{libname} < 2.9.2-1

%description -n %{libulm}
Libraries for fuse.

%files -n %{libulm}
/%{_lib}/libulockmgr.so.%{ulmajor}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and development libraries for %{name}
License:	LGPLv2+
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libulm} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Header files and development libraries for %{name}.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static libraries for fuse
License:	LGPLv2+
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
Static libraries for fuse.

%files -n %{sdevname}
%{_libdir}/*.a

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

sed -e 's|mknod|/bin/echo Disabled: mknod |g' -i util/Makefile.in
sed -i -e 's|INIT_D_PATH=.*|INIT_D_PATH=%{_initrddir}|' configure*

%build
%configure2_5x \
	CC="%{__cc} -fuse-ld=bfd" \
	--bindir=/bin \
	--exec-prefix=/
%make

%install
%makeinstall_std
install -d %{buildroot}/%{_lib}
for l in libfuse.so libulockmgr.so; do
	rm %{buildroot}%{_libdir}/${l}
	mv %{buildroot}%{_libdir}/${l}.*.* %{buildroot}/%{_lib}
	ln -sr %{buildroot}/%{_lib}/${l}.*.* %{buildroot}%{_libdir}/${l}
done

# XXX: have a hard time believing that these symlinks are actually needed,,,
mkdir -p %{buildroot}%{_bindir}
ln -s /bin/fusermount %{buildroot}%{_bindir}/fusermount
ln -s /bin/ulockmgr_server %{buildroot}%{_bindir}/ulockmgr_server

rm -rf %{buildroot}%{_sysconfdir}/rc.d/init.d %{buildroot}%{_sysconfdir}/udev/rules.d

install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fuse.conf

%changelog

* Sun Sep 04 2016 spectre <eugene.shatokhin@rosalab.ru> 2.9.7-1
- (7d1df46) Merge pull request #1 from alzim/fuse:rosa2016.1
- (7d1df46) Updated to 2.9.7


